org.fourthline.cling.mock

## Class MockUpnpServiceConfiguration

- java.lang.Object
- - org.fourthline.cling.DefaultUpnpServiceConfiguration
  - - org.fourthline.cling.mock.MockUpnpServiceConfiguration

- All Implemented Interfaces:
    UpnpServiceConfiguration

      @Alternative
      public class MockUpnpServiceConfiguration
      extends DefaultUpnpServiceConfiguration

  Author:
    Christian Bauer

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.fourthline.cling.DefaultUpnpServiceConfiguration

      `DefaultUpnpServiceConfiguration.ClingExecutor, DefaultUpnpServiceConfiguration.ClingThreadFactory`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected boolean` | `maintainsRegistry`
    `protected boolean` | `multiThreaded`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MockUpnpServiceConfiguration()` Does not maintain registry, single threaded execution.
    `MockUpnpServiceConfiguration(boolean maintainsRegistry)` Single threaded execution.
    `MockUpnpServiceConfiguration(boolean maintainsRegistry, boolean multiThreaded)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected NetworkAddressFactory` | `createNetworkAddressFactory(int streamListenPort)`
    `protected ExecutorService` | `getDefaultExecutorService()`
    `Executor` | `getRegistryMaintainerExecutor()`
    `boolean` | `isMaintainsRegistry()`
    `boolean` | `isMultiThreaded()`

    - ### Methods inherited from class org.fourthline.cling.DefaultUpnpServiceConfiguration

      `createDatagramIO, createDatagramProcessor, createDefaultExecutorService, createDeviceDescriptorBinderUDA10, createGENAEventProcessor, createMulticastReceiver, createNamespace, createNetworkAddressFactory, createServiceDescriptorBinderUDA10, createSOAPActionProcessor, createStreamClient, createStreamServer, getAliveIntervalMillis, getAsyncProtocolExecutor, getDatagramIOExecutor, getDatagramProcessor, getDescriptorRetrievalHeaders, getDeviceDescriptorBinderUDA10, getEventSubscriptionHeaders, getExclusiveServiceTypes, getGenaEventProcessor, getMulticastReceiverExecutor, getNamespace, getRegistryListenerExecutor, getRegistryMaintenanceIntervalMillis, getRemoteDeviceMaxAgeSeconds, getServiceDescriptorBinderUDA10, getSoapActionProcessor, getStreamServerExecutorService, getSyncProtocolExecutorService, isReceivedSubscriptionTimeoutIgnored, shutdown`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### maintainsRegistry

          protected final boolean maintainsRegistry

    - #### multiThreaded

          protected final boolean multiThreaded

  - ### Constructor Detail

    - #### MockUpnpServiceConfiguration

          public MockUpnpServiceConfiguration()

      Does not maintain registry, single threaded execution.

    - #### MockUpnpServiceConfiguration

          public MockUpnpServiceConfiguration(boolean maintainsRegistry)

      Single threaded execution.

    - #### MockUpnpServiceConfiguration

          public MockUpnpServiceConfiguration(boolean maintainsRegistry,
                                              boolean multiThreaded)

  - ### Method Detail

    - #### isMaintainsRegistry

          public boolean isMaintainsRegistry()

    - #### isMultiThreaded

          public boolean isMultiThreaded()

    - #### createNetworkAddressFactory

          protected NetworkAddressFactory createNetworkAddressFactory(int streamListenPort)

      Overrides:
        `createNetworkAddressFactory` in class `DefaultUpnpServiceConfiguration`

    - #### getRegistryMaintainerExecutor

          public Executor getRegistryMaintainerExecutor()

      Specified by:
        `getRegistryMaintainerExecutor` in interface `UpnpServiceConfiguration`
      Overrides:
        `getRegistryMaintainerExecutor` in class `DefaultUpnpServiceConfiguration`
      Returns:
        The executor which runs the background thread for maintaining the registry.

    - #### getDefaultExecutorService

          protected ExecutorService getDefaultExecutorService()

      Overrides:
        `getDefaultExecutorService` in class `DefaultUpnpServiceConfiguration`

Copyright © 2016 4th Line GmbH, Switzerland. All rights reserved.